<?php
namespace Claromentis\Core\Captcha\Validators;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array();
use Claromentis\Core\Captcha\AbstractCaptchaValidator;









class TurnstileValidator extends AbstractCaptchaValidator
{
    const SITEVERIFY_URL = 'https://challenges.cloudflare.com/turnstile/v0/siteverify';
    const TOKEN_FIELD_NAME = 'cf-turnstile-response';
    
    
    
    
    protected function getSiteverifyUrl() : string
    {
        return self::SITEVERIFY_URL;
    }
    public function getTokenFieldName() : string
    {
        return self::TOKEN_FIELD_NAME;
    }
    public function areCredentialsValid() : bool
    {
        
        
    }
}